Subject: Matsutake Pickers

From: [email-masked] (Mycos)
Date: Mon, 02 Sep 1996 02:24:39 GMT

Anyone looking for a partner to hunt Pine mushrooms please contact me
at <[email-masked]>. I have considerable experience in this area
as well as being familiar with a number of other species that have
commercial value. Thanks

                                         Mycos (Gary Williams